From 4357bd6cf10d0a579cf2274ba120c09bd0d7344b Mon Sep 17 00:00:00 2001
From: Gleb Sectoid Golubitsky <rush.william@gmail.com>
Date: Sat, 11 Jul 2009 03:31:11 +0300
Subject: [PATCH 3/4] cl-regex adjusted to common-lisp-2.eclass

---
 dev-lisp/cl-regex/ChangeLog            |    7 ++++++-
 dev-lisp/cl-regex/Manifest             |    4 ++--
 dev-lisp/cl-regex/cl-regex-1-r2.ebuild |   32 --------------------------------
 dev-lisp/cl-regex/cl-regex-1-r3.ebuild |   31 +++++++++++++++++++++++++++++++
 4 files changed, 39 insertions(+), 35 deletions(-)
 delete mode 100644 dev-lisp/cl-regex/cl-regex-1-r2.ebuild
 create mode 100644 dev-lisp/cl-regex/cl-regex-1-r3.ebuild

diff --git a/dev-lisp/cl-regex/ChangeLog b/dev-lisp/cl-regex/ChangeLog
index 7c61b82..787f6a5 100644
--- a/dev-lisp/cl-regex/ChangeLog
+++ b/dev-lisp/cl-regex/ChangeLog
@@ -1,5 +1,5 @@
 # ChangeLog for dev-lisp/cl-regex
-# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 2000-2009 Gentoo Foundation; Distributed under the GPL v2
 # $Header: /var/cvsroot/gentoo-x86/dev-lisp/cl-regex/ChangeLog,v 1.10 2008/03/27 16:19:21 armin76 Exp $
 
   27 Mar 2008; Raúl Porcel <armin76@gentoo.org> cl-regex-1-r1.ebuild,
@@ -11,6 +11,11 @@
   Use mirror://debian/ where applicable, or use mirror://gentoo/ if the file
   has been removed from debian's mirrors.
 
+*cl-regex-1-r3 (11 Jul 2009)
+ 11 Jul 2009; Gleb Golubitsky <rush.william@gmail.com>
+ +cl-regex-1-r3.ebuild
+ Adjusted for common-lisp-2.eclass
+
 *cl-regex-1-r2 (16 Nov 2006)
 
   16 Nov 2006; Matthew Kennedy <mkennedy@gentoo.org>
diff --git a/dev-lisp/cl-regex/Manifest b/dev-lisp/cl-regex/Manifest
index 88482b2..91837c4 100644
--- a/dev-lisp/cl-regex/Manifest
+++ b/dev-lisp/cl-regex/Manifest
@@ -2,5 +2,5 @@ AUX 1-macs.lisp-gentoo.patch 892 RMD160 d4ffa27f5b872ef020d1ac7776921194b2216f89
 AUX defconstant-gentoo.patch 499 RMD160 1633e63777083c5e85b741d0ccf630569c74152b SHA1 77d3e09eac247eda519d570095afbcf3aea4fa5c SHA256 a7be2a760ce313b69d558535a5f6f0d962023dc9a448157071fff914adaf051d
 AUX regex.asd 859 RMD160 9d0d454d5d7957d7241d5fc871d2248e3414796c SHA1 23be87936b378bf7b2c865eacf6029018b4ea5d9 SHA256 7748f049b91428ebe6bbf94fa64df278850a31ddce8a449acf02451e467fa216
 DIST cl-regex_1.orig.tar.gz 33629 RMD160 904e38d0353eec9a1b1d321c6f1bc96ccc82e9fe SHA1 07e5a749d6e9e5c31c4156bfc07a218a5f47ac0f SHA256 886920a281cf981b834c4314b56c0bfeed3c9438cec3ada9a93494ab7dade4b2
-EBUILD cl-regex-1-r2.ebuild 907 RMD160 30bfaefc18b3fd7430aea981933dc2a511af383d SHA1 5789365f6dcb5dc8efbd38af1af3f623772ea20e SHA256 472e28962c3ab142e4330b0870ce51fa971538a7ee2da2a8252f61fb9c36ac94
-MISC ChangeLog 1458 RMD160 f623432ca7d2d5c3b2da3d5a97d504c9ee90dbe2 SHA1 b4ce7285af8691c3f3a9aeeb2f8ed27c2137a899 SHA256 6ad0c8a603ebb0edba61844cd1d4c18cf349ed5b69359b4671d9c29ac5e7e836
+EBUILD cl-regex-1-r3.ebuild 902 RMD160 9551a3292b8410ec74fc0269eef725364a91ff8c SHA1 0ad7d840c6e4dc425fcfe7db1c90018a8745f9f3 SHA256 5f2452e2f460a83521732fca994286695dbb721c12661feab147adf621f5230e
+MISC ChangeLog 1601 RMD160 ff2485da3f2cbca3782687d6a65d755d0a3741b8 SHA1 0aa2a8e2395e95a2b7228841dd7d30909ce43735 SHA256 2a3c880c742d3785744ee61c7f13ae1ba3d7fffeaa25dd999a49b1b998bc6d07
diff --git a/dev-lisp/cl-regex/cl-regex-1-r2.ebuild b/dev-lisp/cl-regex/cl-regex-1-r2.ebuild
deleted file mode 100644
index 8d2faf2..0000000
--- a/dev-lisp/cl-regex/cl-regex-1-r2.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lisp/cl-regex/cl-regex-1-r2.ebuild,v 1.3 2008/03/27 16:19:21 armin76 Exp $
-
-inherit common-lisp-2
-
-DESCRIPTION="Common Lisp regular expression compiler/matcher"
-HOMEPAGE="http://www.geocities.com/mparker762/clawk.html http://packages.debian.org/unstable/devel/cl-regex"
-SRC_URI="mirror://debian/pool/main/c/cl-regex/${PN}_${PV}.orig.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
-
-DEPEND="dev-lisp/cl-plus"
-
-CLPACKAGE=regex
-
-src_unpack() {
-	unpack ${A}
-	epatch ${FILESDIR}/defconstant-gentoo.patch
-}
-
-src_install() {
-	common-lisp-install closure.lisp gen.lisp macs.lisp optimize.lisp \
-		packages.lisp parser.lisp regex.lisp ${FILESDIR}/regex.asd
-	common-lisp-system-symlink
-	dodoc license.txt
-	docinto examples
-	dodoc *test*.lisp
-}
diff --git a/dev-lisp/cl-regex/cl-regex-1-r3.ebuild b/dev-lisp/cl-regex/cl-regex-1-r3.ebuild
new file mode 100644
index 0000000..cab67bf
--- /dev/null
+++ b/dev-lisp/cl-regex/cl-regex-1-r3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/cl-regex/cl-regex-1-r2.ebuild,v 1.3 2008/03/27 16:19:21 armin76 Exp $
+
+inherit common-lisp-2
+
+DESCRIPTION="Common Lisp regular expression compiler/matcher"
+HOMEPAGE="http://www.geocities.com/mparker762/clawk.html http://packages.debian.org/unstable/devel/cl-regex"
+SRC_URI="mirror://debian/pool/main/c/cl-regex/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-lisp/cl-plus"
+
+src_unpack() {
+	unpack ${A}
+	epatch ${FILESDIR}/defconstant-gentoo.patch
+}
+
+src_install() {
+	common-lisp-install closure.lisp gen.lisp macs.lisp optimize.lisp \
+		packages.lisp parser.lisp regex.lisp 
+	doins ${FILESDIR}/regex.asd
+	common-lisp-symlink-asdf regex
+	dodoc license.txt
+	docinto examples
+	dodoc *test*.lisp
+}
-- 
1.6.3.3

